### Method

# Gdk.Toplevel.begin_move

#### Declaration [src]

    void
    gdk_toplevel_begin_move (
      GdkToplevel* toplevel,
      GdkDevice* device,
      int button,
      double x,
      double y,
      guint32 timestamp
    )

#### Description [src]

Begins an interactive move operation.

You might use this function to implement draggable titlebars.

#### Parameters

`device` | `GdkDevice`
| the device used for the operation
| Ownership is not transferred to the callee
`button` | `int`
| the button being used to drag, or 0 for a keyboard-initiated drag
`x` | `double`
| surface X coordinate of mouse click that began the drag
`y` | `double`
| surface Y coordinate of mouse click that began the drag
`timestamp` | `guint32`
| timestamp of mouse click that began the drag (use `gdk_event_get_time()`)